Bug 1487120 (CVE-2017-14032) - CVE-2017-14032 mbedtls: Bypass peer authentication
Summary: CVE-2017-14032 mbedtls: Bypass peer authentication
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-14032
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1487121 1487122
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 09:43 UTC by Adam Mariš
Modified: 2019-09-29 14:19 UTC (History)
2 users (show)

Fixed In Version: mbedtls 1.3.21, mbedtls 2.1.9, mbedtls 2.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:23:12 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-31 09:43:04 UTC
ARM mbed TLS before 1.3.21, 2.1.x before 2.1.9 and 2.x before 2.6.0, if optional
authentication is configured, allows remote attackers to bypass peer
authentication via an X.509 certificate chain with many intermediates.
NOTE: although mbed TLS was formerly known as PolarSSL, the releases
shipped with the PolarSSL name are not affected.

Reference:

https://tls.mbed.org/tech-updates/security-advisories/mbedtls-security-advisory-2017-02

Comment 1 Adam Mariš 2017-08-31 09:43:32 UTC
Created mbedtls tracking bugs for this issue:

Affects: epel-all [bug 1487121]
Affects: fedora-all [bug 1487122]

Comment 2 Product Security DevOps Team 2019-06-08 03:23:12 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.